@watkins said:
How does your script differ from TIG's PurgeAll.rb? It purges all unused components, layers, materials and styles, and one can choose which type(s) to purge from a dialog (Yes/No).
One step less... I didn't see it before !!!
@watkins said:
How does your script differ from TIG's PurgeAll.rb? It purges all unused components, layers, materials and styles, and one can choose which type(s) to purge from a dialog (Yes/No).
One step less... I didn't see it before !!!
Hi watkins !
@unknownuser said:
I note that you use a paint brush as the purge icon. This icon is used in other software (AutoCAD etc) to 'match properties'.
It's a broom (Not on the translation Sweeper ??? ) Sweep a drawing !! Not sure a funnel be more comprehensible... I will search others icons...
@unknownuser said:
Do you plan to issue an English version?
Ok !
Tell me what you think about this icon !
Salut !
Voici un petit script qui permet de purger tous les elts inutilisés, sans passer par fenêtre/Infos du modèle/Statistiques.
Dans le menu plugins, et un icône seul.
Didier, tu as trouvé cette fonction où ??? Et yen a encore beaucoup des comme ça ???
Didier, where have you found it ???
Hello Todd !
Ooh !! Excuse me !
class Sketchup;;ComponentInstance
def count
@cn = 0
boucle Sketchup.active_model.active_entities, self.definition.name
@cn
end
end #class
def boucle(entities, nam)
entities.each do |entity|
case entity.typename
when 'Group'
boucle entity.entities, nam
when 'ComponentInstance'
@cn +=1 if entity.definition.name == nam
boucle entity.definition.entities, nam
end
end
end
Thank you !
Hi !
I don't know if it's what you want, but here is a code counting components like the selection.
class Sketchup;;ComponentInstance
def count
cn = 0
cdef = self.definition.name
sel = Sketchup.active_model.active_entities
sel.each do |ent|
if ent.typename == "ComponentInstance"
if ent.definition.name == cdef
cn +=1
end
end
end
cn
end
end
Example : Sketchup.active_model.selection[0].count
I don't know how to with groups yet ! I believe that each group is unique, no ?
I will see...
Salut David_H !
Oui j'ai vu que ce logiciel existait, mais je le trouve trop lourd d'utilisation pour un simple parcours dans une vue de Sketchup !
J'ai trouvé le moyen d'utiliser FlightPath ... Il faut créer une courbe de bézier classique, et celle-ci sert de chemin pour créer le film.
Voilà !
Salut !
Petite question : Comment faire pour qu'une caméra suive un chemin et l'enregistre soit dans différentes scènes, soit en film ?
J'ai essayé flightpath et flightpathtool, mais ils ne fonctionnent pas.
une idée ?
Hello !
It's strange Ruby can't answer to a Sketchup pending command !
I would like to create a tool for continuous dimension. Acad like !
1- Draw a simple dimension
2- Retrieving the last basis point of the first dimension
3- draw a dimension with the first basis point already given.
If I understand, we must re-program dimension tool ??
Salut !
Ca a l'air de fonctionner chez moi ! Pas de problème quant à l'édition des composants...
Sur tous les plans SU que je fais, c'est toujours les formes arrondies qui sont très lourdes. Alors si en plus on applique une texture et des ombres !!
SU = ... Il est malade, le pauvre
Cet homme est un fou !!
Génial ! Merci Fredo !
an "entmake" in lisp ! Ok, thank you ! I will try it, even if I don't know the method !
thank you TIG !
Grmbl
Ok ! Thank you Didier !
@fletch said:
j'espere que ne te casse pas les pieds, Matt666!
No !!
@unknownuser said:
I believer Matt Frenglish is trying to ask how to get the units of the drawing.
absolutely!
@unknownuser said:
Frenglish
@unknownuser said:
Then, try this
def get_current_unit ()
case Sketchup.active_model.options[0][2]
when 0
return "inch"
when 1
return "feet"
when 2
return "mm"
when 3
return "cm"
when 4
return "m"
end
end
Thank you !!